Skip to main content
POST
/
v1
/
apps
/
{appId}
/
git
/
link
Link a repository and branch to an app
curl --request POST \
  --url https://api.agentmark.co/v1/apps/{appId}/git/link \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Agentmark-App-Id: <api-key>' \
  --data '
{
  "branch": "<string>",
  "repository": "<string>"
}
'
import requests

url = "https://api.agentmark.co/v1/apps/{appId}/git/link"

payload = {
"branch": "<string>",
"repository": "<string>"
}
headers = {
"X-Agentmark-App-Id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'X-Agentmark-App-Id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({branch: '<string>', repository: '<string>'})
};

fetch('https://api.agentmark.co/v1/apps/{appId}/git/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "branch": "<string>",
    "branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "commit_sha": "<string>",
    "repository": "<string>"
  }
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}

Authorizations

X-Agentmark-App-Id
string
header
required

Application ID for tenant scoping

Authorization
string
header
required

API key (sk_agentmark_*)

Path Parameters

appId
string<uuid>
required

Body

application/json
branch
string
required

Branch to watch for deploys. Must already exist on the remote.

Required string length: 1 - 255
repository
string
required

Repository identifier in owner/repo form, from the full_name field of the repositories list.

Required string length: 1 - 255

Response

Repository linked.

data
object
required